Subject: Re: [PATCH] hooks--update: new, required, config variable: hooks.envelopesender,

From: Andy Parkins <[email-masked]>
Date: Fri, 23 Mar 2007 16:15:26 +0000

On Friday 2007 March 23 15:25, Jim Meyering wrote:
> Andy Parkins <[email-masked]> wrote:
> > On Friday 2007 March 23 13:29, Jim Meyering wrote:
> >> It works for me using the sendmail from sendmail, and I have tested
> >> this with the one from postfix, too.
> >
> > Is your user set as a trusted user for sendmail though?
>
> No.  There is no need for that.
>
> > As a normal user wouldn't be allowed to do it.
>
> You mean with exim's sendmail?
> sendmail -f alt-envelope-sender works just fine when run by a
> non-privileged user when it's Sendmail's sendmail or the one from Postfix.
> It's a shame if it doesn't work with exim's implementation.

Okay; I went and found a sendmail manpage:

"-fname       Sets the name of the ``from'' person (i.e., the sender of the
              mail).  -f can only be used by ``trusted'' users (normally
              root,  daemon, and network) or if the person you are trying to
              become is the same as the person you are."

Seems the same as exim to me.  Perhaps your distribution sets it up to allow 
if for anyone?

> case.  FYI, the first case was to allow commit email to be sent from
> the GNU coreutils git repository in a vserver on savannah.gnu.org.
> The second was at work last night.

> Not the *final* recipient, of course.
> Some *internal* MX servers are very careful about sender addresses
> in outbound mail, verifying them before forwarding the message on.

Fair enough.

> Thanks for the explanation of how email works, but you may
> assume that I know a little more than the average hacker :-)

My apologies; I didn't mean to be patronising - I wrongly assumed you were 
just confused about who was authenticating whom.

So; in short: I don't have a good answer to offer you, and it seems that "-f" 
is working for you.  However, I'm still not convinced that this is the 
correct thing to do in the default hook.  My main gripe is still all 
these "trusted user" paragraphs in the MTA manual pages.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]